loci.plugins.in

## Class Importer

- java.lang.Object
- - loci.plugins.in.Importer

-     public class Importer
      extends java.lang.Object

  Core logic for the Bio-Formats Importer ImageJ plugin.
  Author:
    Curtis Rueden ctrueden at wisc.edu, Melissa Linkert melissa at glencoesoftware.com

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private LociImporter` | `plugin` A handle to the plugin wrapper, for toggling the canceled and success flags.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Importer(LociImporter plugin)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `finish(ImportProcess process)`
    `static void` | `main(java.lang.String[] args)` Main method, for testing.
    `ImporterOptions` | `parseOptions(java.lang.String arg)` Parses core options.
    `ij.ImagePlus[]` | `readPixels(ImagePlusReader reader, ImporterOptions options, DisplayHandler displayHandler)`
    `void` | `run(java.lang.String arg)` Executes the plugin.
    `void` | `showDialogs(ImportProcess process)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### plugin

          private LociImporter plugin

      A handle to the plugin wrapper, for toggling the canceled and success flags.

  - ### Constructor Detail

    - #### Importer

          public Importer(LociImporter plugin)

  - ### Method Detail

    - #### run

          public void run(java.lang.String arg)

      Executes the plugin.

    - #### parseOptions

          public ImporterOptions parseOptions(java.lang.String arg)
                                       throws java.io.IOException

      Parses core options.
      Throws:
        `java.io.IOException`

    - #### showDialogs

          public void showDialogs(ImportProcess process)
                           throws FormatException,
                                  java.io.IOException

      Throws:
        `FormatException`
        `java.io.IOException`

    - #### readPixels

          public ij.ImagePlus[] readPixels(ImagePlusReader reader,
                                           ImporterOptions options,
                                           DisplayHandler displayHandler)
                                    throws FormatException,
                                           java.io.IOException

      Throws:
        `FormatException`
        `java.io.IOException`

    - #### finish

          public void finish(ImportProcess process)
                      throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### main

          public static void main(java.lang.String[] args)

      Main method, for testing.

Copyright © 2026 Open Microscopy Environment